what are the 2.0 supported browsers--again for the docs

Showing 1-7 of 7 messages
what are the 2.0 supported browsers--again for the docs Paul Grandjean 7/16/11 4:12 PM
I need to update the supported browsers/platforms table in the documentation.  We have a table for Sel 1.0 but nothing for Sel 2.0.  I think I know the answer but need to verify....

Selenium 2.0 supports.

chrome
IE
Firefox
Opera

not Safari at this time.

Am I correct?

Could someone also fill in the version numbers for me (knowing full well that be out of date in a few months but we might as well start off with browser version numbers).

thanks,

Paul

Re: [selenium-developers] what are the 2.0 supported browsers--again for the docs Daniel Wagner-Hall 7/16/11 5:40 PM
On 17 July 2011 00:12, Paul Grandjean <pgra...@gmail.com> wrote:
> Selenium 2.0 supports.
> chrome
12.0.712.0+
> IE
6, 7, 8, 9 - 32 and 64-bit where applicable
> Firefox
3.0, 3.5, 3.6, 4.0, 5.0 (most subject to change)
> Opera
11.5+

Also:
HtmlUnit 2.8
Android 2.3+ on devices (emulators broken at the moment)
I'm not sure which iOS versions we support

We also support any browser 1.0 supports through the
SeleniumBackedWebDriver, but there will probably be issues

Re: [selenium-developers] what are the 2.0 supported browsers--again for the docs Paul Grandjean 7/16/11 7:14 PM
Daniel, thanks much.  Very helpful!  I'll make sure that info gets 'published'.

P---


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To post to this group, send email to selenium-...@googlegroups.com.
To unsubscribe from this group, send email to selenium-developers+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/selenium-developers?hl=en.


Re: [selenium-developers] what are the 2.0 supported browsers--again for the docs Andreas Tolf Tolfsen 7/17/11 2:00 AM
* Also sprach Paul Grandjean <pgra...@gmail.com>:

> I need to update the supported browsers/platforms table in the
> documentation.  We have a table for Sel 1.0 but nothing for Sel 2.0.
> I think I know the answer but need to verify....  Selenium 2.0
> supports.
>
> chrome
> IE
> Firefox
> Opera

Only Opera 11.5 and boave is supported by Selenium 2 out of the box.

It _is_ possible to run OperaDriver using previous versions, but only
11.5 supports the -autotestmode command-line argument which enables
Proxy Auto Connect and prevents a few popup dialogues from showing up.

Essentially, any product from Opera using the Scope interface supports
Selenium 2 and OperaDriver.  This includes products such as Opera
Mobile, brew, core-gogi, &c.  (Not Opera Mini.)

Re: [selenium-developers] what are the 2.0 supported browsers--again for the docs adam 7/17/11 6:05 PM
Keeping in mind of course that 'Selenium 2' is two very different APIs which supported browsers will differ.

-adam
Re: [selenium-developers] what are the 2.0 supported browsers--again for the docs Paul Grandjean 7/31/11 8:16 PM
thanks Andreas, I'll probably lift that content and paste it into a planned subsection on Opera.  Never having used Opera myself I'm not quite sure what some of those things are (core-gogi?, brew? Proxy Auto Connect?) but hopefully anyone reading the Opera section will have an idea!

If you could provide a bit more explanation, than I can make a more clear doc.  thanks.


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To post to this group, send email to selenium-...@googlegroups.com.
To unsubscribe from this group, send email to selenium-developers+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/selenium-developers?hl=en.


Re: [selenium-developers] what are the 2.0 supported browsers--again for the docs Paul Grandjean 7/31/11 8:17 PM
thanks for the reminder on that Adam.  Yes when I get around to this work, that may prompt some more questions to the list to get the specifics nailed.